> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/json-forms/validate-data/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Validate data against a schema POST https://example.itential.io/json-forms/validate-data Content-Type: application/json Performs data validation, given a JSON schema and form data. Reference: https://docs.itential.com/itential-cloud/api-reference/json-forms/validate-data ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `jsonSchema` (boolean or object, optional) - object - `$id` (string, optional) - `$schema` (string, optional) - `$ref` (string, optional) - `$comment` (string, optional) - `title` (string, optional) - `description` (string, optional) - `default` (any, optional) - `readOnly` (boolean, optional, default: false) - `examples` (list of any, optional) - `multipleOf` (double, optional) - `maximum` (double, optional) - `exclusiveMaximum` (double, optional) - `minimum` (double, optional) - `exclusiveMinimum` (double, optional) - `maxLength` (integer, optional) - `minLength` (integer, optional, default: 0) - `pattern` (string, optional) - `additionalItems` (any, optional) - `items` (any or list of any, optional, default: true) - `maxItems` (integer, optional) - `minItems` (integer, optional, default: 0) - `uniqueItems` (boolean, optional, default: false) - `contains` (any, optional) - `maxProperties` (integer, optional) - `minProperties` (integer, optional, default: 0) - `required` (list of string, optional, default: []) - `additionalProperties` (any, optional) - `definitions` (map from string to any, optional, default: {}) - `properties` (map from string to any, optional, default: {}) - `patternProperties` (map from string to any, optional, default: {}) - `dependencies` (map from string to any or list of string, optional) - `propertyNames` (any, optional) - `const` (any, optional) - `enum` (list of any, optional) - `type` (enum or list of enum, optional) - `format` (string, optional) - `contentMediaType` (string, optional) - `contentEncoding` (string, optional) - `if` (any, optional) - `then` (any, optional) - `else` (any, optional) - `allOf` (list of any, optional) - `anyOf` (list of any, optional) - `oneOf` (list of any, optional) - `not` (any, optional) - `data` (object, optional) ## Response ### 200 results from the form validation - `status` (enum, optional) - Allowed values: `200`, `404` - `validation` (object, optional) - `valid` (boolean, optional) - `errors` (list of string, optional) - `message` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": 200, "validation": { "valid": true, "errors": [ "string" ] }, "message": "Form data is valid." } ``` **SDK Code** ```python import requests url = "https://example.itential.io/json-forms/validate-data" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/json-forms/validate-data'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/json-forms/validate-data" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/json-forms/validate-data") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/json-forms/validate-data") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/json-forms/validate-data', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/json-forms/validate-data"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/json-forms/validate-data")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```